osl::PtypeTraits< PBISHOP > Struct Reference

`#include <ptypeTraits.h>`

## Static Public Member Functions

static const char * | name ()
static const char * | csaName ()

## Static Public Attributes

static const bool | isBasic =false
static const bool | canPromote =false
static const bool | betterToPromote =true
static const Ptype | moveType =PBISHOP
static const int | moveMask
static const Ptype | basicType =BISHOP
static const int | indexMin =PtypeTraits<basicType>::indexMin

## Detailed Description

Definition at line 210 of file ptypeTraits.h.

## Member Function Documentation

## csaName()

const char * osl::PtypeTraits< PBISHOP >::csaName | ( |  | ) |

inline static

Definition at line 218 of file ptypeTraits.h.

## name()

const char * osl::PtypeTraits< PBISHOP >::name | ( |  | ) |

inline static

Definition at line 217 of file ptypeTraits.h.

## Member Data Documentation

## basicType

const Ptype osl::PtypeTraits< PBISHOP >::basicType =BISHOP

static

Definition at line 224 of file ptypeTraits.h.

## betterToPromote

const bool osl::PtypeTraits< PBISHOP >::betterToPromote =true

static

Definition at line 215 of file ptypeTraits.h.

## canPromote

const bool osl::PtypeTraits< PBISHOP >::canPromote =false

static

Definition at line 213 of file ptypeTraits.h.

## indexMin

const int osl::PtypeTraits< PBISHOP >::indexMin =PtypeTraits<basicType>::indexMin

static

Definition at line 225 of file ptypeTraits.h.

## isBasic

const bool osl::PtypeTraits< PBISHOP >::isBasic =false

static

Definition at line 212 of file ptypeTraits.h.

## moveMask

const int osl::PtypeTraits< PBISHOP >::moveMask

static

Initial value:
=
DirectionTraits<LONG_UL>::mask|DirectionTraits<LONG_UR>::mask
|DirectionTraits<LONG_DL>::mask|DirectionTraits<LONG_DR>::mask
|DirectionTraits<U>::mask|DirectionTraits<L>::mask
|DirectionTraits<R>::mask|DirectionTraits<D>::mask
osl::DirectionTraits::mask
static const unsigned int mask
Definition directionTraits.h:227

Definition at line 219 of file ptypeTraits.h.

## moveType

const Ptype osl::PtypeTraits< PBISHOP >::moveType =PBISHOP

static

Definition at line 216 of file ptypeTraits.h.

The documentation for this struct was generated from the following file:

- ptypeTraits.h